For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
      • GETList brands
      • POSTCreate brand
      • PUTUpsert brand
      • GETRetrieve brand
      • PATCHUpdate brand
      • Brand
  • Customer Request API
  • Management API
LogoLogo
Network APIBrands

Retrieve brand

GET
/brands/:brand_id
GET
/network/v1/brands/:brand_id
$curl https://api.cash.app/network/v1/brands/brand_id \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent"
1{
2 "brand": {
3 "id": "string",
4 "name": "string",
5 "created_at": "2021-01-01T00:00:00Z",
6 "updated_at": "2021-01-01T00:00:00Z",
7 "reference_id": "string",
8 "color": "#ffffff",
9 "profile_image_url": "https://franklin-assets.s3.amazonaws.com/merchants/assets/v3/generic/m_category_business.png"
10 }
11}

Returns a brand matching the given brand_id.

This endpoint is not rate limited.

Scopes: BRANDS_READ

Was this page helpful?
Previous

Update brand

Next
Built with

Path parameters

brand_idstringRequired

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Response

OK
brandobject
A brand is the entity a customer perceives that they are transacting with.

Errors

404
Not Found Error